import logging

from pylons import config, request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to

from quickshot.lib.base import BaseController, render
import quickshot.model as model
import quickshot.model.meta as meta

log = logging.getLogger(__name__)

class RootController(BaseController):
    def index(self):
        self._load_information()
        
        c.project_families = meta.Session.query(
         model.ProjectFamily
        ).filter(
         model.ProjectFamily.public == True
        ).order_by(
         model.ProjectFamily.active.desc(),
         model.ProjectFamily.friendly_name.asc(),
         model.ProjectFamily.short_name.asc()
        ).all()
        
        c.project_families_owned = meta.Session.query(
         model.ProjectFamily
        ).filter(
         model.ProjectFamily.owners.any(model.ProjectFamilyOwner.openid == session.get('openid'))
        ).order_by(
         model.ProjectFamily.active.desc(),
         model.ProjectFamily.friendly_name.asc(),
         model.ProjectFamily.short_name.asc()
        ).all()
        
        return render('/root.mako')
        
    def _load_information(self):
        c.admin = session.get('openid') == config['admin.openid']
        
