import logging

from pylons import url, request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to

from quickshot.lib.base import BaseController, render
import quickshot.lib.helpers as h
import quickshot.model as model
import quickshot.model.meta as meta

log = logging.getLogger(__name__)

class RootProjectController(BaseController):
    def index(self, project_family, project):
        if not self._load_information(project_family, project):
            h.unauthorized()
            
        return render('/root_project.mako')
        
    def _load_information(self, project_family, project):
        c.current_page = url(str(''.join(('/', project_family, '/', project))))
        c.admin = h.assert_owner(project_family)
        c.project = h.get_project_details(project_family, project)
        
        return c.project and ((c.project.public and c.project.project_family.public) or c.admin)
        
