import logging

from pylons import url, request, response, session, tmpl_context as c
from pylons.controllers.util import abort, redirect_to

from quickshot.lib.base import BaseController, render
import quickshot.lib.helpers as h
import quickshot.model as model
import quickshot.model.meta as meta

log = logging.getLogger(__name__)

class RootProjectFamilyController(BaseController):
    def index(self, project_family):
        if not self._load_information(project_family):
            h.unauthorized()
            
        c.projects = meta.Session.query(
         model.Project
        ).filter(
         model.Project.pf_short_name == project_family
        ).order_by(
         model.Project.active.desc(),
         model.Project.friendly_name.asc(),
         model.Project.version.asc()
        ).all()
        
        return render('/root_project_family.mako')
        
    def _load_information(self, project_family):
        c.current_page = url(str(''.join(('/', project_family))))
        c.admin = h.assert_owner(project_family)
        c.project_family = h.get_project_family_details(project_family)
        
        return c.project_family and (c.project_family.public or c.admin)
        
