# -*- coding: utf-8 -*-
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

## Functions to display output
#############################
<%namespace name="reporting">
    <%def name="_report(report)">
        %if report:
            <ul>
                %for (summary, details) in report:
                    <li>
                        <h4>${summary}</h4>
                        %if details:
                            <ul>
                                %for detail in details:
                                    <li>${detail}</li>
                                %endfor
                            </ul>
                        %endif
                    </li>
                %endfor
            </ul>
        %endif
    </%def>
    <%def name="report_success(report)">
        <div id="success" class="report section">
            <h3>Updates have been made to the system</h3>
            ${_report(report)}
        </div>
    </%def>
    <%def name="report_problem(report)">
        <div id="problem" class="report section">
            <h3>Things didn't go as smoothly as they should have</h3>
            ${_report(report)}
        </div>
    </%def>
</%namespace>

## Operating variables
#####################
<% session['last-visited-url'] = url.current() %>

## The template itself
#####################
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/xhtml; charset=utf-8"/>
        <title>
            %if hasattr(self, 'title'):
                ${self.title()} - Quickshot
            %else:
                Quickshot
            %endif
        </title>
        <link type="text/css" rel="stylesheet" href="${url('/_common/quickshot.css')}" media="screen"/>
        %if hasattr(self, 'head'):
            ${self.head()}
        %endif
    </head>
    <body>
        <%include file="header.mako"/>
        <div style="clear: both;"></div>
        %if 'problem_report' in session:
            ${reporting.report_problem(session['problem_report'])}
            <% del session['problem_report'] %>
        %endif
        %if 'success_report' in session:
            ${reporting.report_success(session['success_report'])}
            <% del session['success_report'] %>
        %endif
        
        <div id="core" class="wrapper">
            ${self.body()}
        </div>
        <div style="clear: both;"></div>
        <%include file="footer.mako"/>
    </body>
</html>

<% session.save() %>

