# -*- coding: utf-8 -*-
<%def name="title()">${c.project.project_family.friendly_name} - ${c.project.friendly_name}</%def>

<div id="nav">
    <a href="${url('/')}">index</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name))))}">${c.project.project_family.friendly_name}</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version))))}">${c.project.friendly_name}</a>
</div>

<%inherit file="common/base.mako"/>

<div class="info">
    <h6>Settings</h6>
    <%
        note_visibility = (not c.project.project_family.public and 'title="note: parent project is private"') or ''
        note_activity = (not c.project.project_family.active and 'title="note: parent project is inactive"') or ''
    %>
    <form action="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/manage_settings_settings'))))}" method="post">
        <div>
            <label for="settings-friendly-name">Name:</label>
            <input type="text" name="friendly-name" id="settings-friendly-name" maxlength="255" style="width: 120px;" value="${c.project.friendly_name}"/>
            <br/>
            <input type="checkbox" name="private" id="settings-private" ${(not c.project.public and 'checked="checked"') or '' | n} ${note_visibility | n}/>
            <label for="settings-private" ${note_visibility | n}>Private</label>
            <br/>
            <input type="checkbox" name="active" id="settings-active" ${(c.project.active and 'checked="checked"') or '' | n} ${note_activity | n}/>
            <label for="settings-active" ${note_activity | n}>Active</label>
            <br/>
            <label for="settings-expiration-date" title="yyyy-mm-dd or blank">Deadline:</label>
            <input type="text" name="expiration-date" id="settings-expiration-date" maxlength="10" style="width: 75px;" value="${c.project.expiration_date}" title="yyyy-mm-dd or blank"/>
            <br/>
            <label for="settings-resolution-x" title="0 means 'any'">X-resolution:</label>
            <input type="text" name="resolution-x" id="settings-resolution-x" maxlength="5" style="width: 42px;" value="${c.project.resolution_x}" title="0 means 'any'"/>
            <br/>
            <label for="settings-resolution-y" title="0 means 'any'">Y-resolution:</label>
            <input type="text" name="resolution-y" id="settings-resolution-y" maxlength="5" style="width: 42px;" value="${c.project.resolution_y}" title="0 means 'any'"/>
            <br/>
            <label for="settings-username" title="blank to disable">Username:</label>
            <input type="text" name="username" id="settings-username" maxlength="255" style="width: 80px;" value="${c.project.username}" title="blank to disable"/>
            <br/>
            <label for="settings-display-name" title="blank to disable">Display:</label>
            <input type="text" name="display-name" id="settings-display-name" maxlength="255" style="width: 110px;" value="${c.project.display_name}" title="blank to disable"/>
            <br/>
            <label for="settings-homepage" title="blank to hide">URL:</label>
            <input type="text" name="homepage" id="settings-homepage" maxlength="255" style="width: 134px;" value="${c.project.homepage}" title="blank to hide"/>
            <br/>
            <input type="submit" value="Update settings" style="width: 100%;"/>
        </div>
    </form>
</div>
<div class="info">
    <h6>Languages</h6>
    <form action="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/manage_settings_language_remove'))))}" method="post">
        <div>
            <select name="language" size="6" style="width: 100%;">
                %for language in sorted(c.project.local_languages):
                    <option value="${language}">${language}</option>
                %endfor
            </select>
            <br/>
            <input type="submit" value="Remove" style="width: 100%;"/>
        </div>
    </form>
    <form action="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/manage_settings_language_add'))))}" method="post">
        <div>
            <input type="text" name="language" maxlength="5" style="width: 45px;"/>
            <input type="submit" value="Add"/>
        </div>
    </form>
    <hr/>
    <h6>Common</h6>
    <form action="${c.current_page}" method="get">
        <div>
            <select name="language" size="6" style="width: 100%;">
                %for language in sorted(c.project.project_family.local_languages):
                    <option value="${language}">${language}</option>
                %endfor
            </select>
        </div>
    </form>
</div>

<div class="section">
    <h1>${c.project.friendly_name}</h1>
    <%
        screenshot_order = [(screenshot.display_order, screenshot.friendly_name) for screenshot in c.project.screenshots] + [(0, '=end=')]
    %>
    %if len(screenshot_order) > 1:
        %for screenshot in c.project.screenshots:
            <form action="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/manage_settings_screenshot_modify'))))}" method="post">
                <div class="subsection">
                    <input type="button" value="Details" id="${screenshot.screenshot_name}_show" onclick="document.getElementById('${screenshot.screenshot_name}_details').style.display='block';document.getElementById('${screenshot.screenshot_name}_show').style.display='none';return false;" style="display: none;"/>
                    <input type="text" name="friendly-name" id="${screenshot.screenshot_name}_friendly-name" maxlength="255" style="width: 175px;" value="${screenshot.friendly_name}"/>
                    (${not screenshot.active and '<del>' or '' | n}${screenshot.screenshot_name}${not screenshot.active and '</del>' or '' | n})
                    <input type="hidden" name="screenshot-name" value="${screenshot.screenshot_name}"/>
                    <div id="${screenshot.screenshot_name}_details">
                        <div class="subsection" style="border-left: 1px solid grey;">
                            <label for="${screenshot.screenshot_name}_display-order">List before</label>
                            <select name="display-order" id="${screenshot.screenshot_name}_display-order">
                                %for (display_order, name) in screenshot_order:
                                    <option value="${display_order}" ${display_order == screenshot.display_order and 'selected="selected"' or '' | n}>${name}</option>
                                %endfor
                            </select>
                            <input type="checkbox" name="active" id="${screenshot.screenshot_name}_active" ${(screenshot.active and 'checked="checked"') or '' | n}/>
                            <label for="${screenshot.screenshot_name}_active">Active</label>
                            <br/>
                            <label for="${screenshot.screenshot_name}_steps">Steps:</label> (<a href="#steps-help">editing help</a>)<br/>
                            <textarea name="steps" id="${screenshot.screenshot_name}_steps" style="width: 500px; margin-left: 20px;" rows="4" cols="80">${screenshot.steps}</textarea>
                            <br/>
                            <label for="${screenshot.screenshot_name}_command">Command:</label> (separate arguments with linebreaks)<br/>
                            <textarea name="command" id="${screenshot.screenshot_name}_command" style="width: 500px; margin-left: 20px;" rows="3" cols="80">${screenshot.command}</textarea>
                            <br/>
                            <input type="checkbox" name="maximize" id="${screenshot.screenshot_name}_maximize" ${(screenshot.maximize and 'checked="checked"') or '' | n}/>
                            <label for="${screenshot.screenshot_name}_maximize">Maximize</label>
                            |
                            <label for="${screenshot.screenshot_name}_maximize-workaround" title="Allows things like 'nautilus' to be maximized">Maximize workaround process name:</label>
                            <input type="text" name="maximize-workaround" id="${screenshot.screenshot_name}_maximize-workaround" maxlength="255" style="width: 100px;" value="${screenshot.maximize_workaround}" title="Allows things like 'nautilus' to be maximized"/>
                            <br/>
                            <input type="checkbox" name="fullscreen" id="${screenshot.screenshot_name}_fullscreen" ${(screenshot.fullscreen and 'checked="checked"') or '' | n}/>
                            <label for="${screenshot.screenshot_name}_fullscreen">Capture full desktop</label>
                            <br/>
                            <h6>Cropping</h6>
                            <div class="subsection">
                                <label for="${screenshot.screenshot_name}_sub-rect-left">Left:</label>
                                <input type="text" name="sub-rect-left" id="${screenshot.screenshot_name}_sub-rect-left" maxlength="5" style="width: 40px;" value="${screenshot.sub_rect_left}"/><label for="${screenshot.screenshot_name}_sub-rect-left">px</label>
                                |
                                <label for="${screenshot.screenshot_name}_sub-rect-top">Top:</label>
                                <input type="text" name="sub-rect-top" id="${screenshot.screenshot_name}_sub-rect-top" maxlength="5" style="width: 40px;" value="${screenshot.sub_rect_top}"/><label for="${screenshot.screenshot_name}_sub-rect-top">px</label>
                                |
                                <label for="${screenshot.screenshot_name}_sub-rect-width">Width:</label>
                                <input type="text" name="sub-rect-width" id="${screenshot.screenshot_name}_sub-rect-width" maxlength="5" style="width: 40px;" value="${screenshot.sub_rect_width}"/><label for="${screenshot.screenshot_name}_sub-rect-width">px</label>
                                |
                                <label for="${screenshot.screenshot_name}_sub-rect-height">Height:</label>
                                <input type="text" name="sub-rect-height" id="${screenshot.screenshot_name}_sub-rect-height" maxlength="5" style="width: 40px;" value="${screenshot.sub_rect_height}"/><label for="${screenshot.screenshot_name}_sub-rect-height">px</label>
                                <br/>
                                <input type="checkbox" name="sub-rect-invert-x" id="${screenshot.screenshot_name}_sub-rect-invert-x" ${(screenshot.sub_rect_invert_x and 'checked="checked"') or '' | n}/>
                                <label for="${screenshot.screenshot_name}_sub-rect-invert-x">Calculate from right edge</label>
                                |
                                <input type="checkbox" name="sub-rect-invert-y" id="${screenshot.screenshot_name}_sub-rect-invert-y" ${(screenshot.sub_rect_invert_y and 'checked="checked"') or '' | n}/>
                                <label for="${screenshot.screenshot_name}_sub-rect-invert-y">Calculate from bottom edge</label>
                            </div>
                        </div>
                        <input type="submit" value="Update screenshot"/>
                    </div>
                    <script type="text/javascript">
                        <!--
                            document.getElementById('${screenshot.screenshot_name}_details').style.display='none';
                            document.getElementById('${screenshot.screenshot_name}_show').style.display='inline';
                        -->
                    </script>
                </div>
            </form>
        %endfor
    %else:
        <div class="subsection">
            <span class="passive">No screenshots defined</span>
        </div>
    %endif
    
    %if len(screenshot_order) < 999999999: #Artificial cap of one billion screenshots.
        <div class="subsection">
            <h2>Add a new screenshot</h2>
            <form action="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/manage_settings_screenshot_create'))))}" method="post">
                <div class="subsection">
                    <label for="friendly-name">Friendly name:</label>
                    <input type="text" name="friendly-name" id="friendly-name" maxlength="255" style="width: 200px;"/>
                    <br/>
                    <label for="screenshot-name">Screenshot name:</label>
                    <input type="text" name="screenshot-name" id="screenshot-name" maxlength="255" style="width: 90px;"/>
                    <input type="submit" value="Create screenshot"/>
                </div>
            </form>
        </div>
    %else:
        <div class="subsection">
            <h2>The screenshot limit has been reached</h2>
            Do you really need one billion screenshot definitions?
        </div>
    %endif
</div>

<div class="section">
    <a name="steps-help"></a>
    <h1>Steps-editing help</h1>
    <div class="subsection">
        Steps are free-form bodies of text that will be processed client-side, with localizations.
        They use linebreaks to separate step elements.
        <br/><br/>
        Each element may be prefixed with one of the following characters:
        <ul>
            <li><span style="font-family: monospace;">'#'</span>: ordered list element</li>
            <li><span style="font-family: monospace;">'*'</span>: unordered list element</li>
            <li><span style="font-family: monospace;">'='</span>: note</li>
            <li><span style="font-family: monospace;">'-'</span>: warning</li>
        </ul>
        Any element lacking a prefix will be treated as normal text.
    </div>
    <div class="subsection">
        An example follows:
        <div class="subsection" style="font-family: monospace;">
            Wait for Firefox to load.<br/>
            *Verify that Firefox has rendered http://www.ubuntu.com/<br/>
            <br/>
            =Ensure that Firefox is maximized<br/>
            -Close any other tabs that may be open<br/>
        </div>
    </div>
    <div class="subsection">
        This will produce output similar to the following:
        <div class="subsection" style="font-family: monospace;">
            Wait for Firefox to load.<br/>
            <span style="font-weight: bold;">*</span> Verify that Firefox has rendered http://www.ubuntu.com/<br/>
            <br/>
            <span style="font-weight: bold;">Note</span><br/>
            &nbsp;&nbsp;&nbsp;Ensure that Firefox is maximized<br/>
            <br/>
            <span style="font-weight: bold;">Warning</span><br/>
            &nbsp;&nbsp;&nbsp;Close any other tabs that may be open<br/>
        </div>
    </div>
</div>

