# -*- coding: utf-8 -*-
<%def name="title()">${c.project_family.friendly_name} management</%def>

<div id="nav">
    <a href="${url('/')}">index</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project_family.short_name))))}">${c.project_family.friendly_name}</a>
</div>

<%inherit file="common/base.mako"/>

<div class="info">
    <h6>Settings</h6>
    <form action="${url(str(''.join(('/', c.project_family.short_name, '/manage_settings_settings'))))}" method="post">
        <div>
            <label for="settings-friendly-name">Name:</label>
            <input type="text" name="friendly-name" id="settings-friendly-name" maxlength="255" style="width: 100px;" value="${c.project_family.friendly_name}"/>
            <br/>
            <input type="checkbox" name="private" id="settings-private" ${(not c.project_family.public and 'checked="checked"') or '' | n}/>
            <label for="settings-private">Private</label>
            <br/>
            <input type="checkbox" name="active" id="settings-active" ${(c.project_family.active and 'checked="checked"') or '' | n}/>
            <label for="settings-active">Active</label>
            <br/>
            <label for="settings-homepage" title="blank to hide">URL:</label>
            <input type="text" name="homepage" id="settings-homepage" maxlength="255" style="width: 114px;" value="${c.project_family.homepage}" title="blank to hide"/>
            <br/>
            <input type="submit" value="Update settings" style="width: 100%;"/>
        </div>
    </form>
</div>
<div class="info">
    <h6>Owners</h6>
    <form action="${url(str(''.join(('/', c.project_family.short_name, '/manage_settings_owner_revoke'))))}" method="post">
        <div>
            <select name="openid" size="6" style="width: 100%;">
                %for owner in c.project_family.owners:
                    <option value="${owner.openid}">${owner.openid}</option>
                %endfor
            </select>
            <br/>
            <input type="submit" value="Revoke" style="width: 100%;"/>
        </div>
    </form>
    <form action="${url(str(''.join(('/', c.project_family.short_name, '/manage_settings_owner_grant'))))}" method="post">
        <div>
            <input type="text" name="openid" maxlength="255" style="width: 100px;"/>
            <input type="submit" value="Grant"/>
        </div>
    </form>
</div>
<div class="info">
    <h6>Languages</h6>
    <form action="${url(str(''.join(('/', c.project_family.short_name, '/manage_settings_language_remove'))))}" method="post">
        <div>
            <select name="language" size="6" style="width: 100%;">
                %for language in sorted(c.project_family.local_languages):
                    <option value="${language}">${language}</option>
                %endfor
            </select>
            <br/>
            <input type="submit" value="Remove" style="width: 100%;"/>
        </div>
    </form>
    <form action="${url(str(''.join(('/', c.project_family.short_name, '/manage_settings_language_add'))))}" method="post">
        <div>
            <input type="text" name="language" maxlength="5" style="width: 45px;"/>
            <input type="submit" value="Add"/>
        </div>
    </form>
</div>

<div class="section">
    <h1>${c.project_family.friendly_name}</h1>
    %if len(c.projects):
        %for project in c.projects:
            <div class="subsection">
                <h2><a href="${url(str(''.join(('/', c.project_family.short_name, '/', project.version))))}">${project.friendly_name}</a></h2>
                <div class="subsection">
                    %if not project.public:
                        <span class="warning">This version is private</span><br/>
                    %endif
                    %if not project.is_active:
                        <span class="warning">This version is inactive</span><br/>
                    %endif
                </div>
            </div>
        %endfor
    %else:
        <div class="subsection">
            <span class="passive">No project versions</span>
        </div>
    %endif
    
    <div class="subsection">
        <h2>Add a new version</h2>
        <div class="subsection">
            <form action="${url(str(''.join(('/', c.project_family.short_name, '/manage_settings_create'))))}" method="post">
                <div>
                    <label for="friendly-name">Friendly name:</label>
                    <input type="text" name="friendly-name" id="friendly-name" maxlength="255" style="width: 200px;"/>
                    <br/>
                    <label for="version">Version:</label>
                    <input type="text" name="version" id="version" maxlength="255" style="width: 130px;"/>
                    <input type="submit" value="Create version"/>
                </div>
            </form>
        </div>
    </div>
</div>

