# -*- coding: utf-8 -*-
<%def name="title()">${c.project.project_family.friendly_name} - ${c.project.friendly_name} - ${c.language} - ${c.screenshot.screenshot_name}</%def>

<%def name="head()">
    <style type="text/css">
        table.screenshot{
            width: 990px;
            margin-left: auto;
            margin-right: auto;
            border: 1px solid #444444;
            border-spacing: 0px;
        }
        td.screenshot{
            width: 20%;
            padding: 4px;
            border: 1px solid #444444;
            text-align: center;
            background-color: #c7c7c7;
        }
        
        td.selected{
            background-color: #f2f2f2;
        }
        
        td.unselected:hover{
            background-color: #e0e0e0;
        }
    </style>
    <script type="text/javascript">
        <!--
            var selected_id = null;
            var selected_url = null;
            var details_map = {};
            %for (pending_screenshot, uploader_details) in c.pending_screenshots:
                %if uploader_details:
                    details_map['${pending_screenshot}'] = new Array(
                     '${uploader_details.uploader}',
                     '${uploader_details.uploader_name}',
                     '${uploader_details.uploader_homepage}',
                     '${str(not uploader_details.uploader_publish).lower()}'
                    );
                %endif
            %endfor
            
            function display_screenshot(id){
                if(id === selected_id){
                    return;
                }
                
                uploader_details_id = null;
                parts = id.split(':', 2);
                switch(parts[0]){
                    case 'accepted':
                        _display_screenshot('${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/', c.screenshot.screenshot_name, '/_accepted'))))}', id);
                        _enable_accept(false);
                        _enable_reject(true);
                        break;
                    case 'reference':
                        _display_screenshot('${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.screenshot.screenshot_name, '/_reference'))))}', id);
                        _enable_accept(false);
                        _enable_reject(false);
                        break;
                    case 'pending':
                        _display_screenshot('${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/', c.screenshot.screenshot_name, '/_pending/'))))}' + parts[1], id);
                        _enable_accept(true);
                        _enable_reject(true);
                        uploader_details_id = parts[1];
                        break;
                    case 'rejected':
                        _display_screenshot('${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/', c.screenshot.screenshot_name, '/_rejected/'))))}' + parts[1], id);
                        _enable_accept(true);
                        _enable_reject(false);
                        break;
                }
                
                document.getElementById('accept-id').value = id;
                document.getElementById('reject-id').value = id;
                
                _set_selection(id);
                _set_uploader_details(uploader_details_id);
            }
            
            function display_uncompressed(){
                if(selected_url !== null){
                    window.open(
                     selected_url, 'qs_' + selected_id,
                     'width=800,height=600,resizable=yes,scrollbars=yes,toolbar=no,location=no,directories=no,status=no,menubar=yes,copyhistory=no'
                    );
                }
            }
            
            function _display_screenshot(url, summary){
                selected_url = url;
                
                main_image = document.getElementById('img-main')
                main_image.src = url + '?quality=70&thumbnail-width=990&thumbnail-height=1080';
                main_image.alt = summary;
                main_image.title = summary;
            }
            
            function _enable_accept(enable){
                document.getElementById('btn-accept').disabled = !enable;
            }
            
            function _enable_reject(enable){
                document.getElementById('btn-reject').disabled = !enable;
            }
            
            function _set_selection(id){
                if(selected_id !== null){
                    document.getElementById(selected_id).className = 'unselected screenshot';
                    selected_id = null;
                }
                
                if(id.indexOf(':') > -1){
                    document.getElementById(id).className = 'selected screenshot';
                    selected_id = id;
                }
            }
            
            function _set_uploader_details(id){
                details = null;
                if(id !== null){
                    details = details_map[id];
                    if(details == undefined){
                        details = null;
                    }
                }
                
                container = document.getElementById('uploader-details');
                if(details === null){
                    container.style.display = 'none';
                }else{
                    document.getElementById('uploader-email').firstChild.data = details[0];
                    document.getElementById('uploader-name').firstChild.data = details[1];
                    document.getElementById('uploader-homepage').firstChild.data = details[2];
                    document.getElementById('uploader-anonymous').firstChild.data = details[3];
                    
                    container.style.display = 'block';
                }
            }
        -->
    </script>
</%def>

<div id="nav">
    <a href="${url('/')}">index</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name))))}">${c.project.project_family.friendly_name}</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version))))}">${c.project.friendly_name}</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language))))}">${c.language}</a>
    &gt;
    ${c.screenshot.screenshot_name}
</div>

<%inherit file="common/base.mako"/>

<div class="section">
    <noscript>
        <div style="text-align: center;">
            <span class="warning" style="font-size: 3em;">This page absolutely requires JavaScript</span>
        </div>
        <hr/>
    </noscript>
    <div>
        <div style="float: right;">
            %if c.has_accepted_screenshot:
                View the <a href="#" onclick="display_screenshot('accepted'); return false;" style="font-weight: bold;">accepted screenshot</a>
            %elif c.has_reference_screenshot:
                View the <a href="#" onclick="display_screenshot('reference'); return false;" style="font-weight: bold;">reference screenshot</a>
            %else:
                <span class="passive">No accepted version to show</span>
            %endif
        </div>
        Viewing <span style="font-weight: bold;">${c.screenshot.friendly_name}</span> for <span style="font-weight: bold;">${c.language}</span>;
            status: <span style="font-weight: bold;">${(c.has_accepted_screenshot and config['quickshot.data_state_accepted']) or (c.pending_screenshots and config['quickshot.data_state_pending']) or config['quickshot.data_state_needed']}</span>
    </div>
    <div style="clear: both;"></div>
    <div style="text-align: center;">
        <a href="#" onclick="display_uncompressed(); return false;" style="text-decoration: none;">
            <img id="img-main" src="" alt="No screenshot selected" style="border: 1px solid #444444;"/>
        </a>
    </div>
    <div>
        <%
            url_base = url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/', c.screenshot.screenshot_name, '/'))))
        %>
        <table style="border: none; margin-left: auto; margin-right: auto;">
            <tr>
                <td style="width: 0%;">
                    <form action="${url_base + '/reject'}" method="post">
                        <div>
                            <input id="reject-id" name="screenshot-id" type="hidden" value=""/>
                            <input type="submit" id="btn-reject" value="Reject" disabled="disabled" style="margin-left: 5px; font-size: 2em;"/>
                        </div>
                    </form>
                </td>
                <td style="width: 100%;">
                    <div id="show-properties" style="display: none; text-align: center;">
                        <form action="#" method="get">
                            <div>
                                <input type="button" value="View screenshot properties" onclick="document.getElementById('screenshot-properties').style.display='block';document.getElementById('show-properties').style.display='none';return false;"/>
                            </div>
                        </form>
                    </div>
                    <div id="screenshot-properties" style="width: 400px; margin-left: auto; margin-right: auto; border-top: 1px solid #444444;">
                        <ul>
                            <li>
                                Steps:
                                <ul>
                                    %for line in c.screenshot.steps.splitlines():
                                        <li>${line}</li>
                                    %endfor
                                </ul>
                            </li>
                            %if c.screenshot.command:
                                <li>Command: (${', '.join([("'" + arg + "'") for arg in c.screenshot.command.splitlines()])})</li>
                            %endif
                            <li>Maximize: ${bool(c.screenshot.maximize)}</li>
                        </ul>
                    </div>
                    <script type="text/javascript">
                        <!--
                            document.getElementById('screenshot-properties').style.display='none';
                            document.getElementById('show-properties').style.display='block';
                        -->
                    </script>
                </td>
                <td style="width: 0%;">
                    <form action="${url_base + '/accept'}" method="post">
                        <div>
                            <input id="accept-id" name="screenshot-id" type="hidden" value=""/>
                            <input type="submit" id="btn-accept" value="Accept" disabled="disabled" style="margin-right: 5px; font-size: 2em;"/>
                        </div>
                    </form>
                </td>
            </tr>
        </table>
    </div>
    <div style="clear: both;"></div>
    <div id="uploader-details" style="display: none;">
        <hr/>
        <div style="text-align: center;">
            Uploader:
                e-mail: <span id="uploader-email">unknown</span>;
                name: <span id="uploader-name">unknown</span>;
                homepage: <span id="uploader-homepage">unknown</span>;
                anonymous: <span id="uploader-anonymous">unknown</span>
        </div>
    </div>
    <hr/>
    <div>
        <%
            latest_screenshot = 0
        %>
        %if c.pending_screenshots:
            <table class="screenshot">
                <tr>
                    %for (i, (id, timestamp)) in enumerate([('pending:' + s, s) for (s, uploader) in c.pending_screenshots]):
                        <%
                            thumbnail = url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/', c.screenshot.screenshot_name, '/_pending/', timestamp))))
                            thumbnail += '?quality=70&thumbnail-width=190&thumbnail-height=200'
                        %>
                        %if i and not i % 5:
                            </tr>
                            <tr>
                        %endif
                        <td id="${id}" class="unselected screenshot">
                            <a href="#" onclick="display_screenshot('${id}'); return false;" style="display: block; text-decoration: none;">
                                <img src="${thumbnail}" alt="${id}"/><br/>
                                ${id}
                            </a>
                        </td>
                        <%
                            latest_screenshot = timestamp
                        %>
                    %endfor
                    %for i in xrange((5 - len(c.pending_screenshots)) % 5):
                        <td class="screenshot">&nbsp;</td>
                    %endfor
                </tr>
            </table>
        %else:
            <span class="passive">No pending screenshots</span>
        %endif
        <script type="text/javascript">
            <!--
                %if c.has_accepted_screenshot:
                    display_screenshot('accepted');
                %elif latest_screenshot:
                    display_screenshot('pending:${latest_screenshot}');
                %endif
            -->
        </script>
    </div>
    <small><br/></small>
    <hr/>
    <div>
        %if c.rejected_screenshots:
            <table class="screenshot">
                <tr>
                    %for (i, id) in enumerate(['rejected:' + s for s in c.rejected_screenshots]):
                        %if i and not i % 5:
                            </tr>
                            <tr>
                        %endif
                        <td id="${id}" class="unselected screenshot">
                            <a href="#" onclick="display_screenshot('${id}'); return false;" style="display: block; text-decoration: none;">
                                ${id}
                            </a>
                        </td>
                    %endfor
                    %for i in xrange((5 - len(c.rejected_screenshots)) % 5):
                        <td class="screenshot">&nbsp;</td>
                    %endfor
                </tr>
            </table>
        %else:
            <span class="passive">No rejected screenshots</span>
        %endif
    </div>
</div>

