# -*- coding: utf-8 -*-
<%def name="title()">${c.project.project_family.friendly_name} - ${c.project.friendly_name} - ${c.language}</%def>

<div id="nav">
    <a href="${url('/')}">index</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name))))}">${c.project.project_family.friendly_name}</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version))))}">${c.project.friendly_name}</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language))))}">${c.language}</a>
</div>

<%inherit file="common/base.mako"/>

<%
    screenshots = c.project.screenshots
%>
<div class="info">
    <h6>Information</h6>
    Screenshots: ${len(screenshots)}<br/>
    Visibility: ${(c.project.public and c.project.project_family.public) and 'public' or 'private'}<br/>
    Active: ${str(c.project.is_active).lower()}<br/>
    Resolution:
        %if c.project.resolution_x or c.project.resolution_y:
            ${c.project.resolution_x or 'any '}x${c.project.resolution_y or ' any'}
        %else:
            any
        %endif
    <br/>
    %if c.project.username and c.project.display_name:
        Username: ${c.project.username}<br/>
        Display: ${c.project.display_name}<br/>
    %endif
    %if c.project.expiration_date:
        Deadline: ${c.project.expiration_date}<br/>
    %endif
    %if c.project.homepage:
        <a href="${c.project.homepage}">Version homepage</a><br/>
    %endif
</div>

<div class="section">
    <h1>${c.project.friendly_name}</h1>
    %if screenshots:
        %for screenshot in screenshots:
            <%
                translation = h.get_screenshot_translation(screenshot, c.language)
            %>
            <form action="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/manage_translations_translate'))))}" method="post">
                <div class="subsection">
                    <input type="button" value="Details" id="${screenshot.screenshot_name}_show" onclick="document.getElementById('${screenshot.screenshot_name}_details').style.display='block';document.getElementById('${screenshot.screenshot_name}_show').style.display='none';return false;" style="display: none;"/>
                    <input type="text" name="friendly-name" id="${screenshot.screenshot_name}_friendly-name" maxlength="255" style="width: 175px;" value="${(translation and translation.friendly_name) or screenshot.friendly_name}"/>
                    (${not screenshot.active and '<del>' or '' | n}${screenshot.screenshot_name}${not screenshot.active and '</del>' or '' | n})
                    <input type="hidden" name="screenshot-name" value="${screenshot.screenshot_name}"/>
                    <div id="${screenshot.screenshot_name}_details">
                        <div class="subsection" style="border-left: 1px solid grey;">
                            <label for="${screenshot.screenshot_name}_steps">Steps:</label><br/>
                            <textarea name="steps" id="${screenshot.screenshot_name}_steps" style="width: 500px; margin-left: 20px;" rows="4" cols="80">${(translation and translation.steps) or screenshot.steps}</textarea>
                            <br/>
                        </div>
                        <input type="submit" value="Update translation"/>
                        <input type="checkbox" name="delete-translation" id="${screenshot.screenshot_name}_delete"/>
                        <label for="${screenshot.screenshot_name}_delete">Delete translation</label>
                    </div>
                    <script type="text/javascript">
                        <!--
                            document.getElementById('${screenshot.screenshot_name}_details').style.display='none';
                            document.getElementById('${screenshot.screenshot_name}_show').style.display='inline';
                        -->
                    </script>
                </div>
            </form>
        %endfor
    %else:
        <div class="subsection">
            <span class="passive">No screenshots defined</span>
        </div>
    %endif
</div>

