# -*- coding: utf-8 -*-
<%def name="title()">Server management</%def>

<div id="nav">
    <a href="${url('/')}">index</a>
</div>

<%inherit file="common/base.mako"/>

<div class="section">
    <h1>Projects</h1>
    %if not c.project_families:
        <div class="subsection">
            <span class="passive">No hosted projects</span>
        </div>
    %else:
        %for project_family in c.project_families:
            <div class="subsection">
                <h2 style="display: inline;">${project_family.friendly_name}</h2>
                (${project_family.short_name}; ${(project_family.active and "active") or "inactive"}, ${(project_family.public and "public") or "private"})
                <div class="subsection">
                    <h3>Owners</h3>
                    <div class="subsection">
                        <form action="${url('/manage_admin_revoke')}" method="post">
                            <div>
                                <input type="hidden" name="short-name" value="${project_family.short_name}"/>
                                <label for="${project_family.short_name}_openid_existing">Existing:</label>
                                <select name="openid" id="${project_family.short_name}_openid_existing">
                                    %for owner in project_family.owners:
                                        <option value="${owner.openid}">${owner.openid}</option>
                                    %endfor
                                </select>
                                <input type="submit" value="Revoke"/>
                            </div>
                        </form>
                        <form action="${url('/manage_admin_grant')}" method="post">
                            <div>
                                <input type="hidden" name="short-name" value="${project_family.short_name}"/>
                                <label for="${project_family.short_name}_openid">New:</label>
                                <input type="text" name="openid" id="${project_family.short_name}_openid" maxlength="255" style="width: 250px;"/>
                                <input type="submit" value="Grant"/>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        %endfor
    %endif
    <div class="subsection">
        <h2>Create a new project</h2>
        <div class="subsection">
            <form action="${url('/manage_admin_create')}" method="post">
                <div>
                    <label for="friendly-name">Friendly name:</label>
                    <input type="text" name="friendly-name" id="friendly-name" maxlength="255" style="width: 200px;"/>
                    <br/>
                    <label for="short-name">Short name:</label>
                    <input type="text" name="short-name" id="short-name" maxlength="255" style="width: 130px;"/>
                    <input type="submit" value="Create project"/>
                </div>
            </form>
        </div>
    </div>
</div>

