# -*- coding: utf-8 -*-
<%def name="title()">Project index</%def>

%if c.admin:
    <div id="admin">
        <a href=${url('/manage_admin')}>Manage hosted projects</a>
    </div>
%endif
<div id="nav">
    index
</div>

<%inherit file="common/base.mako"/>

<div class="section">
    %if c.project_families_owned:
        <h1>Projects you own</h1>
        %for project_family in c.project_families_owned:
            <div class="subsection">
                <h2><a href="${url(''.join(('/', str(project_family.short_name))))}">${project_family.friendly_name}</a></h2>
                <div class="subsection">
                    %if not project_family.public:
                        <span class="warning">This project family is private</span><br/>
                    %endif
                    %if not project_family.active:
                        <span class="warning">This project family is inactive</span><br/>
                    %endif
                </div>
            </div>
        %endfor
        <h1>Projects everyone can see</h1>
    %else:
        <h1>What's hosted here</h1>
    %endif
    %if c.project_families:
        %for project_family in c.project_families:
            <div class="subsection">
                <h2><a href="${url(''.join(('/', str(project_family.short_name))))}">${project_family.friendly_name}</a></h2>
                <div class="subsection">
                    <%
                        version_count = len([project for project in project_family.projects if project.public])
                        language_count = len(project_family.languages)
                    %>
                    ${version_count} project version${h.pluralise(version_count)}, ${language_count} language${h.pluralise(language_count)}<br/>
                    %if not project_family.active:
                        <span class="warning">This project family is inactive</span><br/>
                    %endif
                </div>
            </div>
        %endfor
    %else:
        <div class="subsection">
            <span class="passive">Apparently, there isn't anything</span>
        </div>
    %endif
</div>

