# -*- coding: utf-8 -*-
<%def name="title()">${c.project.project_family.friendly_name} - ${c.project.friendly_name}</%def>

%if c.admin:
    <div id="admin">
        <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/manage_settings'))))}">Manage version</a>
    </div>
%endif
<div id="nav">
    <a href="${url('/')}">index</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name))))}">${c.project.project_family.friendly_name}</a>
    &gt;
    ${c.project.friendly_name}
</div>

<%inherit file="common/base.mako"/>

<%
    all_languages = c.project.all_languages
    screenshot_count = len(c.project.active_screenshots)
%>
<div class="info">
    <h6>Version information</h6>
    Screenshots: ${screenshot_count}<br/>
    Project languages: ${len(all_languages)}<br/>
    Visibility: ${(c.project.is_public and 'public') or 'private'}<br/>
    Active: ${str(c.project.is_active).lower()}<br/>
    Resolution:
        %if c.project.resolution_x or c.project.resolution_y:
            ${c.project.resolution_x or 'any '}x${c.project.resolution_y or ' any'}
        %else:
            any
        %endif
    <br/>
    %if c.project.username and c.project.display_name:
        Username: ${c.project.username}<br/>
        Display: ${c.project.display_name}<br/>
    %endif
    %if c.project.expiration_date:
        Deadline: ${c.project.expiration_date}<br/>
    %endif
    %if c.project.homepage:
        <a href="${c.project.homepage}">Version homepage</a><br/>
    %endif
</div>
<div class="info">
    <h6>Contributors</h6>
    <%
        contributors = [contributor for contributor in c.project.contributors if contributor.uploader_publish]
    %>
    %if contributors:
        %for contributor in contributors:
            %if contributor.uploader_publish and contributor.submission_count:
                %if contributor.uploader_homepage:
                    (${contributor.submission_count}) <a href="${contributor.uploader_homepage}">${contributor.uploader_name or contributor.uploader}</a><br/>
                %else:
                    (${contributor.submission_count}) ${contributor.uploader_name or contributor.uploader}<br/>
                %endif
            %endif
        %endfor
    %else:
        <span class="passive">No credit due</span>
    %endif
    <%
        base_filename_url = url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/[', c.project.pf_short_name, ']', c.project.version, '.'))))
    %>
    %if c.admin:
        <hr/>
        <div style="text-align: center;">
            <a href="${base_filename_url + 'csv'}">Full report</a>
        </div>
    %endif
    <hr/>
    <div style="text-align: center;">
        <a href="${base_filename_url + 'qsproj'}">Help out!</a>
    </div>
</div>

<div class="section">
    <h1>${c.project.friendly_name}</h1>
    %if all_languages:
        <div class="subsection">
            %for language in sorted(all_languages):
                <%
                    screenshot_count_accepted = len(h.list_screenshots_accepted(c.project, language))
                    screenshot_count_pending = len(h.list_screenshots_pending(c.project, language))
                    
                    language_identifier = None
                    if c.admin:
                        language_identifier = ''.join(('<a href="', url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', language)))), '">', language, '</a>'))
                    else:
                        language_identifier = language
                    language_identifier += '&nbsp;' * (6 - len(language))
                %>
                <div class="wrapper">
                    <div class="screenshot-progress-language">${language_identifier | n}</div>
                    <div class="screenshot-progress-container">
                        %if screenshot_count:
                            <%
                                progress_accepted = 100 * (screenshot_count_accepted / float(screenshot_count))
                                progress_pending = 100 * (screenshot_count_pending / float(screenshot_count))
                            %>
                            %if progress_accepted:
                                <div class="screenshot-progress-accepted" style="width: ${int(round(progress_accepted, 0))}%;" title="${round(progress_accepted, 1)}% accepted"></div>
                            %endif
                            %if progress_pending:
                                <div class="screenshot-progress-pending" style="width: ${int(round(progress_pending, 0))}%;" title="${round(progress_pending, 1)}% pending"></div>
                            %endif
                        %endif
                    </div>
                </div>
                %if c.admin:
                    %if screenshot_count_pending:
                        <div class="subsection">${screenshot_count_pending} screenshot${h.pluralise(screenshot_count_pending)} awaiting approval</div>
                    %endif
                %endif
            %endfor
        </div>
    %else:
        <div class="subsection">
            <span class="passive">Nobody can agree on what languages to use</span>
        </div>
    %endif
</div>

