# -*- coding: utf-8 -*-
<%def name="title()">${c.project_family.friendly_name}</%def>

%if c.admin:
    <div id="admin">
        <a href="${url(str(''.join(('/', c.project_family.short_name, '/manage_settings'))))}">Manage project</a>
    </div>
%endif
<div id="nav">
    <a href="${url('/')}">index</a>
    &gt;
    ${c.project_family.friendly_name}
</div>

<%inherit file="common/base.mako"/>

<%
    project_family_languages = c.project_family.local_languages
%>
<div class="info">
    <h6>Project information</h6>
    Common languages: ${len(project_family_languages)}<br/>
    Visibility: ${c.project_family.public and 'public' or 'private'}<br/>
    Active: ${str(c.project_family.active).lower()}<br/>
    %if c.project_family.homepage:
        <a href="${c.project_family.homepage}">Project homepage</a><br/>
    %endif
</div>

<div class="section">
    <h1>${c.project_family.friendly_name}</h1>
    <% projects_rendered = False %>
    %for project in c.projects:
        %if project.public or c.admin:
            <% projects_rendered = True %>
            <div class="subsection">
                <h2><a href="${url(str(''.join(('/', c.project_family.short_name, '/', project.version))))}">${project.friendly_name}</a></h2>
                <div class="subsection">
                    <%
                        screenshot_count = len(project.active_screenshots)
                        language_count = len(project.all_languages)
                    %>
                    ${screenshot_count} screenshot${h.pluralise(screenshot_count)}, ${language_count} language${h.pluralise(language_count)}<br/>
                    %if not project.public:
                        <span class="warning">This version is private</span><br/>
                    %endif
                    %if not project.is_active:
                        <span class="warning">This version is inactive</span><br/>
                    %endif
                </div>
            </div>
        %endif
    %endfor
    %if not projects_rendered:
        <div class="subsection">
            <span class="passive">Nary a version to show</span>
        </div>
    %endif
</div>

