# -*- coding: utf-8 -*-
<%def name="title()">${c.project.project_family.friendly_name} - ${c.project.friendly_name} - ${c.language}</%def>

%if c.admin:
    <div id="admin">
        <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/manage_translations'))))}">Manage translations</a>
    </div>
%endif
<div id="nav">
    <a href="${url('/')}">index</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name))))}">${c.project.project_family.friendly_name}</a>
    &gt;
    <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version))))}">${c.project.friendly_name}</a>
    &gt;
    ${c.language}
</div>

<%inherit file="common/base.mako"/>

<div class="info">
    <h6>${c.language} information</h6>
    Screenshots: ${len(c.screenshots)}<br/>
    Visibility: ${(c.project.is_public and 'public') or 'private'}<br/>
    Active: ${str(c.project.is_active).lower()}<br/>
    Resolution:
        %if c.project.resolution_x or c.project.resolution_y:
            ${c.project.resolution_x or 'any '}x${c.project.resolution_y or ' any'}
        %else:
            any
        %endif
    <br/>
    %if c.project.username and c.project.display_name:
        Username: ${c.project.username}<br/>
        Display: ${c.project.display_name}<br/>
    %endif
    %if c.project.expiration_date:
        Deadline: ${c.project.expiration_date}<br/>
    %endif
    %if c.project.homepage:
        <a href="${c.project.homepage}">Version homepage</a><br/>
    %endif
</div>

<div class="section">
    <h1>${c.project.friendly_name}</h1>
    <div class="subsection">
        <h2>Progress for ${c.language}</h2>
        <div class="subsection">
            <%
                management_link = '<a href="' + url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/%(screenshot)s')))) + '">%(screenshot)s</a>'
                sections = (
                 (config['quickshot.data_state_needed'], c.screenshots_needed),
                 (config['quickshot.data_state_pending'], c.screenshots_pending),
                 (config['quickshot.data_state_accepted'], c.screenshots_accepted),
                )
            %>
            %for (state, screenshots) in sections:
                <div class="wrapper">
                    <div class="screenshot-progress-language">${state + '&nbsp;' * (9 - len(state)) | n}</div>
                    <div class="screenshot-progress-container">
                        %if c.screenshots:
                            <%
                                progress = 100 * (len(screenshots) / float(len(c.screenshots)))
                            %>
                            %if progress:
                                <div class="screenshot-progress-accepted" style="width: ${int(round(progress, 0))}%;" title="${round(progress, 1)}%"></div>
                            %endif
                        %endif
                    </div>
                </div>
                <div class="subsection">
                    <%
                        screenshot_links = [management_link % {'screenshot': screenshot,} for screenshot in screenshots]
                    %>
                    ${', '.join(screenshot_links) | n}
                </div>
            %endfor
        </div>
        Download <a href="${url(str(''.join(('/', c.project.pf_short_name, '/', c.project.version, '/', c.language, '/', '[', c.project.pf_short_name, ']', c.project.version, '.tar'))))}">all accepted screenshots</a>.
   </div>
</div>

